Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group

From: Jamie Forth <[email-masked]>
Date: Mon, 30 Sep 2019 17:00:40 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Jamie Forth <[email-masked]> writes:
>
>> Expiring articles within a non-virtual group works as expected, but not
>> within a virtual group.
>>
>> 1. Create a new virtual group (G V)
>> 2. Select and add a component group (G v)
>> 3. Enter the new virtual group and mark a message as expirable (E)
>> 4. Quit the group (or B e) to trigger the expiry process results in
>>    the following messages
>>
>> Expiring articles...
>> Expiring articles in <component group>...done
>> Expiring articles...done
>>
>> 5. Re-enter the virtual group (or C-u M-g), and find that the article
>>    previously marked as expirable has not been expired.
>>
>> I’m using nnimap groups and `nnmail-expiry-wait` is set to immediate.
>
> I'm unable to reproduce this in Emacs 27.  If I follow your recipe
> (create a virtual group with an nnimap component, and mark an article in
> the virtual group with `E'), the IMAP log shows:
>
> 10:19:12 [quimby.gnus.org] 7219 SELECT "spam"
> 10:19:12 [quimby.gnus.org] 7220 UID STORE 392789 +FLAGS.SILENT (\Deleted)
> 10:19:12 [quimby.gnus.org] 7221 UID EXPUNGE 392789
>
> So the message was deleted from the nnimap component group.
>
> Are you still seeing this bug in newer Emacs versions?

Thanks for looking into it, I still experience the issue with Emacs
27.0.50.

My setup is fairly minimal. This is how imap is configured.

(add-to-list
 'gnus-secondary-select-methods
 '(nnimap "gold"
          (nnimap-stream shell)
          (nnimap-shell-program
           "/usr/lib/dovecot/imap -c ~/.config/dovecot/gold.conf  2> /dev/null")
          (nnir-search-engine imap)
          (nnmail-expiry-target "nnimap+gold:Deleted Items")
          (nnmail-expiry-wait immediate)))

I’m not quite sure how to debug this, but if you have any suggestion
I’ll give them a try.

--
Jamie